Table of Contents

## Name

im_grey, im_fgrey, im_make_xy - creates a grey scale

## Synopsis

#include <vips/vips.h>

int im_grey( image, xsize, ysize )
IMAGE *image;
int xsize, ysize;

int im_fgrey( image, xsize, ysize )
IMAGE *image;
int xsize, ysize;

int im_make_xy( image, xsize, ysize )
IMAGE *image;
int xsize, ysize;

## Description

im_grey(3) creates a one-band FMTUCHAR grey scale image of sizes xsize by ysize. The intensity varies from 0 (left) to 255 (right).

im_fgrey(3) works as im_grey(3) , except that the output image is FMTFLOAT, allowing pixel values from 0 (left) to 1.0 (right).

im_make_xy(3) makes a two-band FMTUINT image where each pixel in band 0 has a value equal to the x coordinate, and each pixel in band 1 has a value equal to the y coordinate.

## Return Value

The function returns 0 on success and -1 on error.

## See Also

im_black(3)

## Copyright

Birkbeck College and the National Gallery, 1995

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also
- Copyright